%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-libsigc++20
Version:        2.2.4.2
Release:        1%{?dist}
Summary:        MinGW Windows port of the typesafe signal framework for C++

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://libsigc.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libsigc++/2.2/libsigc++-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-filesystem >= 30
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

BuildRequires:  m4

Requires:       pkgconfig


%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, %name is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ability to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

Package GTK-- (gtkmm), which is a C++ binding to the GTK+ library,
starting with version 1.1.2, uses %name.


%{_mingw32_debug_package}


%prep
%setup -q -n libsigc++-%{version}


%build
%{_mingw32_configure} --disable-static --disable-documentation
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
chmod a-x $RPM_BUILD_ROOT/%{_mingw32_libdir}/libsigc-2.0.dll.a
chmod a-x $RPM_BUILD_ROOT/%{_mingw32_libdir}/libsigc-2.0.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING
%{_mingw32_bindir}/libsigc-2.0-0.dll
%{_mingw32_libdir}/libsigc-2.0.dll.a
%{_mingw32_libdir}/libsigc-2.0.la
%{_mingw32_libdir}/pkgconfig/sigc++-2.0.pc
%{_mingw32_includedir}/sigc++-2.0
%{_mingw32_libdir}/sigc++-2.0


%changelog
* Sat Sep 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.4.2-1
- update to 2.2.4.2 match native package

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.2-8
- add debuginfo packages

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.2-7
- replace %%define with %%global

* Sun Mar 29 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.2.2-6
- remove executable permission from .dll.a and .la file
- remove inappropriate comment

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.2.2-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.2.2-4
- Include license file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.2.2-3
- Use _smp_mflags.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.2.2-2
- Requires pkgconfig.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.2.2-1
- Initial RPM release.
